<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Messages</title>
</head>
<body>
    <h1>Messages</h1>
    <ul>
        {% for message in messages %}
        <li>{{ message }}</li>
        {% endfor %}
    </ul>
    <h2>Add New Message</h2>
    <form action="/post_message" method="post">
        <input type="text" name="message" required>
        <button type="submit">Post</button>
    </form>
</body>
</html>
